<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
              xmlns:tools="http://schemas.android.com/tools"
              android:layout_width="match_parent"
              android:layout_height="match_parent"
              android:orientation="vertical"
              tools:context=".activity.ydckgl.ShelvesShift">

    <include layout="@layout/toolbar"></include>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/px_20">

                <EditText
                    android:id="@+id/tv_wlbm"
                    style="@style/editTextTheme"
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:hint="物料编码"/>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="-10px">

                <Button
                    android:id="@+id/btn_itqz"
                    style="@style/button"
                    android:layout_marginLeft="20px"
                    android:layout_weight="1"
                    android:text="IT前缀"/>

                <Button
                    android:id="@+id/btn_query"
                    style="@style/button"
                    android:layout_marginLeft="20px"
                    android:layout_marginRight="20px"
                    android:layout_weight="1"
                    android:text="查询"/>


            </LinearLayout>


            <LinearLayout
                android:id="@+id/ll"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/px_20"
                android:layout_marginRight="@dimen/px_20"
                android:layout_marginTop="20px"
                android:orientation="vertical"
                android:visibility="gone">

                <HorizontalScrollView
                    android:layout_width="match_parent"
                    android:layout_height="500px">

                    <ListView
                        android:id="@+id/lv"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:divider="#00000000"/>
                </HorizontalScrollView>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10px"
                    android:orientation="horizontal">


                    <EditText
                        android:id="@+id/et_zysl"
                        style="@style/editTextTheme"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="3"
                        android:hint="转移数量"
                        android:inputType="numberDecimal"/>

                    <Spinner
                        android:id="@+id/sp_hg"
                        style="@style/editTextTheme"
                        android:layout_width="0dp"
                        android:layout_gravity="center"
                        android:layout_weight="3"
                        android:gravity="center"
                        android:padding="0px"/>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/px_10"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="原货柜："
                        android:textSize="32px"/>

                    <TextView
                        android:id="@+id/tv_yhg"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textSize="32px"/>

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="right"
                        android:text="移入货柜："
                        android:textSize="32px"/>

                    <EditText
                        android:id="@+id/et_yrhg"
                        style="@style/editTextTheme"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"/>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/px_20"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <Button
                        android:id="@+id/btn_save"
                        style="@style/button"
                        android:layout_width="200px"
                        android:layout_marginRight="@dimen/px_30"
                        android:text="@string/save"/>

                    <Button
                        android:id="@+id/btn_cancel"
                        style="@style/button"
                        android:layout_width="@dimen/px_200"
                        android:text="@string/cancel"/>
                </LinearLayout>

            </LinearLayout>
        </LinearLayout>

    </ScrollView>

</LinearLayout>
